Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.dropboxmq.workflow.data
Class Run

    java.lang.Object
      net.sf.dropboxmq.workflow.data.Run

All Implemented Interfaces:
  Serializable, Cloneable

    public class Run

extends Object
implements Serializable, Cloneable

Created: 28 Jul 2010

Version:
  $Revision$, $Date$
Author:
  Dwayne Schultz
See Also:
  Serialized Form

Constructor Summary
`Run()`

Method Summary
`Run` | `clone()`
`boolean` | `equals(Object obj)`
`String` | `getContext()`
`Integer` | `getCurrentStateId()`
`String` | `getCurrentStateName()`
`Integer` | `getId()`
`Date` | `getLastUpdate()`
`String` | `getParentContext()`
`String` | `getParentProcessKey()`
`String` | `getParentProcessTypeName()`
`Integer` | `getParentRunId()`
`Integer` | `getProcessId()`
`String` | `getProcessKey()`
`Integer` | `getProcessTypeId()`
`String` | `getProcessTypeName()`
`Date` | `getStartedOn()`
`int` | `hashCode()`
`void` | `setContext(String context)`
`void` | `setCurrentStateId(Integer currentStateId)`
`void` | `setCurrentStateName(String currentStateName)`
`void` | `setId(Integer id)`
`void` | `setLastUpdate(Date lastUpdate)`
`void` | `setParentContext(String parentContext)`
`void` | `setParentProcessKey(String parentProcessKey)`
`void` | `setParentProcessTypeName(String parentProcessTypeName)`
`void` | `setParentRunId(Integer parentRunId)`
`void` | `setProcessId(Integer processId)`
`void` | `setProcessKey(String processKey)`
`void` | `setProcessTypeId(Integer processTypeId)`
`void` | `setProcessTypeName(String processTypeName)`
`void` | `setStartedOn(Date startedOn)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Run

    public Run()

Method Detail

### getId

    public Integer getId()

### setId

    public void setId(Integer id)

### getContext

    public String getContext()

### setContext

    public void setContext(String context)

### getCurrentStateId

    public Integer getCurrentStateId()

### setCurrentStateId

    public void setCurrentStateId(Integer currentStateId)

### getParentRunId

    public Integer getParentRunId()

### setParentRunId

    public void setParentRunId(Integer parentRunId)

### getProcessId

    public Integer getProcessId()

### setProcessId

    public void setProcessId(Integer processId)

### getStartedOn

    public Date getStartedOn()

### setStartedOn

    public void setStartedOn(Date startedOn)

### getLastUpdate

    public Date getLastUpdate()

### setLastUpdate

    public void setLastUpdate(Date lastUpdate)

### getProcessTypeId

    public Integer getProcessTypeId()

### setProcessTypeId

    public void setProcessTypeId(Integer processTypeId)

### getProcessTypeName

    public String getProcessTypeName()

### setProcessTypeName

    public void setProcessTypeName(String processTypeName)

### getProcessKey

    public String getProcessKey()

### setProcessKey

    public void setProcessKey(String processKey)

### getCurrentStateName

    public String getCurrentStateName()

### setCurrentStateName

    public void setCurrentStateName(String currentStateName)

### getParentProcessTypeName

    public String getParentProcessTypeName()

### setParentProcessTypeName

    public void setParentProcessTypeName(String parentProcessTypeName)

### getParentProcessKey

    public String getParentProcessKey()

### setParentProcessKey

    public void setParentProcessKey(String parentProcessKey)

### getParentContext

    public String getParentContext()

### setParentContext

    public void setParentContext(String parentContext)

### clone

    public final Run clone()

  Overrides:
    `clone` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD